@use 'sass/base';
@use 'sass/color';
@use 'sass/size';
@use 'sass/mixin';

@import '~@angular/material/theming';
@import '../../../../../../../apps/windflower/src/theme';

.resultsContainer {
  padding: 2em;
}

.resultsMatCard {
  padding: 2em;
}

.resultsMatCardTitle {
  font-size: xx-large;
  display: flex;
  width: 100%;
  text-align: left;
  margin-right: 5px;
}

.listInfos {
  width: 100%;
  display: flex;
  flex-direction: column;
  text-align: left;
  padding: 1em;
}

.appMatCardContent {
  padding-left: 1em;
}

.contentLeft {
  display: flex;
  flex-direction: column;
  width: 40%;
  padding-right: 1em;
}

.content {
  display: flex;
  flex-direction: column;
}

.width90p {
  width: 90%;
  margin: auto;
}

.simulationResultGraph {
  width: '50%';
  position: relative;
  display: flex;
  flex-direction: column;
  align-items: center;
  margin-left: 0rem;
}

.subtitleInfo {
  font-size: large;
  text-align: left;
  color: black;
  width: 100%;
}

.subtitleInfo3D {
  font-size: large;
  text-align: left;
  color: black;
  width: 100%;
  padding-left: 1em;
  padding-bottom: 1em;
}

.alignButtonText {
  display: flex;
  align-items: center;
}

.alignButtonText2 {
  display: flex;
  flex-direction: column;
  align-items: center;
  font-size: large;
  color: black;
  padding-top: 1em;
}

.runninTask {
  background-color: red !important;
}

.buttonDownload {
  width: 100%;
}

.buttonGoToDownload {
  width: 250px;
}

.divButtonsDownload {
  width: 60%;
  padding-left: 10px;
}

.divButtonsDownload3D {
  width: 100%;
}

.buttonDiv {
  padding-top: 2em;
}

.centerDiv {
  display: flex !important;
  justify-content: center;
}

.buttonParameters {
  width: 50%;
}

.buttonContent energy-platform-flower-icons {
  margin-top: 8px;
  margin-right: 8px;
}

.buttonAlignMiddle {
  display: flex;
  align-items: center;
  justify-content: center;
  margin-right: 10px;
}

.buttonsAlignment {
  width: 60%;
}

.buttonsAlignment3D {
  width: 100%;
}

.resultsMatCardActions {
  display: flex;
  align-items: center;
  padding-top: 2em;
}

.mat-card-content {
  display: flex;
  flex-direction: row;
  align-items: baseline;
}

.subtitleChange {
  text-align: left;
  font-style: italic;
}

.iconInfo {
  text-align: center;
  display: inline-block;
  text-align: center;
  padding-right: 1%;
  font-size: xx-large;
}

.startButton,
.stopButton {
  text-align: center;
  margin-right: 1%;
  width: 250px;
  min-width: 100px;
}

.stopButton {
  background-color: red !important;
}

.textStart {
  padding-left: 2em;
  font-size: x-large;
}

.iconTitle {
  text-align: left;
  padding-right: 10px;
  padding-top: 3px;
  margin-right: 16px;
}

.icon {
  text-align: left;
}

.spanTitle {
  font-size: xx-large;
  text-align: left;
}

.freeSpace_placeholder {
  border: 1px solid #000;
  height: 400px;
  text-align: center;
  padding: 2em;
  width: 400px;
}

#hideMe {
  -moz-animation: cssAnimation 0s ease-in 5s forwards;
  /* Firefox */
  -webkit-animation: cssAnimation 0s ease-in 5s forwards;
  /* Safari and Chrome */
  -o-animation: cssAnimation 0s ease-in 5s forwards;
  /* Opera */
  animation: cssAnimation 0s ease-in 5s forwards;
  -webkit-animation-fill-mode: forwards;
  animation-fill-mode: forwards;
}

@keyframes cssAnimation {
  to {
    width: 0;
    height: 0;
    overflow: hidden;
  }
}

@-webkit-keyframes cssAnimation {
  to {
    width: 0;
    height: 0;
    visibility: hidden;
  }
}

.navigatorContainer button {
  margin: 0 10px;
}

::ng-deep .navigatorContainer button .mat-icon {
  height: 30px !important;
  width: 30px !important;
  font-size: 28px !important;
}

.warningColor {
  color: color.$mat-warn;
}

.okColor {
  color: mat-color($secondaryPalette, 400);
}

.radio-button {
  color: black;
}

.align-min-max {
  overflow: auto;
  padding-bottom: 2em;
  width: 80%;
}

.slider-small {
  width: 80%;
}

.left {
  float: left;
}

.right {
  float: right;
}

.result-leafletMap {
  display: flex;
  flex-direction: column;
  align-items: baseline;
}

.result-barchart {
  display: flex;
  flex-direction: column;
  align-items: baseline;
}

.radio-group {
  display: flex;
  flex-direction: column;
  margin: 15px 0;
}

.radio-button {
  margin: 5px;
}

// Option = single Parameter
.option_wrapper {
  flex-wrap: wrap;
  position: relative;
  margin-bottom: 15px;
  padding-left: 10px;
  padding-top: 1em;
  width: 100%;
}

.option_title {
  flex: auto;
  font-size: 20px;
}

.option_subtitle {
  flex: 0 0 100%;
  font-size: 14px;
}

.option_content_wrapper {
  width: 100%;
  margin-left: 10px;
  display: flex;
  flex-direction: row;
  justify-content: space-around;
}

.simulation-table-wrapper {
  display: flex;
  justify-content: flex-end;
}

.sensitivity-boxplots-wrapper {
  width: 100%;
  margin-left: 10px;
  display: flex;
  flex-direction: column;
}

.sensitivity-boxplots {
  justify-content: flex-end;
}

.projectButton {
  text-align: center;
  margin-right: 1%;
  width: 300px;
  min-width: 100px;
}
